// Tacit - CSS Framework for Dummies, Without Classes
@import url('https://unpkg.com/tacit-css@1.5.1/dist/tacit-css-1.5.1.min.css');
// @import url('https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css');

// bootstrap svg icon
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

@import "~highlight.js/scss/a11y-dark";
@import "~notyf/notyf.min";

button[data-sharer] {
    color: #fff;
}

.test-css {
    padding: 5px;
    border: 2px solid blue;
}

h1 {
    margin-top: 0px;
    margin-bottom: 46px;
}

h2 {
    margin-top: 0px;
    font-weight: 500;
}

hr {
    margin: 0 43.2px;
    color: #d9d9d9;
}

p {
    margin-bottom: 15px;
}

blockquote {
    margin-left: 30px;
}

blockquote > footer {
    padding: 10px;
}

.nav-section-link {
    color: black;
}

.nav-section-link:hover {
    text-decoration: none;
}

.nav-section-link > span > i {
    color: #757575;
    font-size: 20px;
}

.no-border-article {
    border: none;
}

.home-section {
    padding: 0 10px;
    margin-bottom: 30px;
}

.section-color {
    background: #f2f2f2;
}

.card-container {
    text-align: center; 
    margin: 20px 0;
}

.card-container > a {
    text-decoration: none;
}

.col {
    position: relative;
    vertical-align: top;
    text-align:left; 
    width: 30%;
    margin: 0 5px;
    background-color:#fff; 
    display: inline-block;
    border-radius: 1px; 
    transition: .5s ease;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.col > img {
    object-fit: cover;
    width: 100%;
    height: 150px;
    transition: 1s ease;
}

.col:hover {
    box-shadow: unset;
}

.col:hover > img {
    filter: grayscale(100%);
    transition: .3s ease;
}

.col:hover .overlay {
    opacity: 0.1;
}

.overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: .5s ease;
    background-color: #383838;
}

// .col > img {
    // border-top-left-radius: 20px; 
    // border-top-right-radius: 20px;
// }

.col > .desc-group {
    margin:0 10px 30px 15px;
}

.desc-group > code {
    text-align: left; 
    font-size:x-small;
}

// .desc-group > .title {
//     margin: 10px 0;
//     color: black;
// }

.desc-group > .desc {
    font-size:small; 
    line-height:20px; 
    display:block; 
    margin: 10px 0;
    color: #757575;
    // position: relative;
}

.card-item {
    position: relative;
    text-align:left; 
    width: 100%;
    margin: 20px 0px;
    background-color:#fff; 
    display: inline-block;
    border-radius: 1px; 
    transition: .5s ease;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.card-item:hover {
    box-shadow: unset;
    transition: .3s ease;
    background-color: rgba(130, 130, 130, 0.1);
}

.card-item > img {
    display: inline;
    margin: 10px;
    width: 40%;
    object-fit: cover;
    transition: 1s ease;
}

.card-item:hover > img {
    filter: grayscale(100%);
    transition: .3s ease;
}

.card-item > .desc-group {
    display: inline;
    position: absolute;
    margin: 10px;
}

.desc-group > h2 {
    margin-bottom: 10px;
}

.desc-group > .desc {
    font-size: medium;
    display: block;
}

.post > img {
    max-height: 150px;
}

.post-header {
    height: 250px; 
    width: 100%;
    display: inline-block;
    overflow: hidden;
}

.post-header > img {
    display: block;
    object-fit: cover; 
    height: 250px; 
    width: 100%;
    transition: .3s ease-in-out;
}

.post-header:hover > img {
    transform: scale(108%);
}

.skills {
    display: inline-block;
    margin: 15px;
}

.skills > h3 {
    display: inline;
    background-color: rgba(130, 130, 130, 0.1);
    padding: 10px 20px;
    text-decoration: none;
    font-size: 18px;
    border-radius: 10px;
    font-weight:400;
}

.skills:hover {
    text-decoration: none;
}

.skills:hover > h3 {
    background-color: rgba(130, 130, 130, 0.2);
}

input[type=text], 
input[type=email], 
textarea {
    width: 65%;
    border: 1px solid #ccc;
}

input[type=submit] {
    width: 30%;
}

#bitly_cv_link {
    margin-bottom: 20px;
}

#cv_qr_code {
    width: 200px;
    display:block;
    margin: 0px;
}

#bitly_cv_link > small {
color: #757575;
}

@media only screen and (max-width : 768px) {    
    .col {
        width: 100%;
        margin-bottom: 20px;
        }

    .col > img {
        height: 250px;
    }

    .card-item {
        position: relative;
        vertical-align: top;
        text-align:left; 
        width: 100%;
        margin: 10px 0px;
        background-color:#fff; 
        display: inline-block;
        border-radius: 1px; 
        transition: .5s ease;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }
    
    .card-item:hover {
        box-shadow: unset;
        transition: .3s ease;
        background-color: rgba(130, 130, 130, 0.1);
    }

    .card-item > img {
        width: 100%;
        height: 250px;
        position: static;
        margin: 0;
    }

    .card-item > .desc-group {
        display: block;
        position:static;
        padding: 0 10px 20px 10px;
        margin: 10px;
        text-align: left;
    }

    input[type=text], 
    input[type=email], 
    input[type=submit],
    textarea {
        width: 100%;
        border: 1px solid #ccc;
    }

    #bitly_cv_link > small {
        display: block;
        }
}